Loading...
Searching...
No Matches
ojph::param_qcd Class Reference

Quantization parameters object. More...

`#include <ojph_params.h>`

## Public Member Functions

| param_qcd (local::param_qcd *p)
void | set_irrev_quant (float delta)
| Set the irreversible quantization base delta.
void | set_irrev_quant (ui32 comp_idx, float delta)
| Set the irreversible quantization base delta for a specific component.

## Private Attributes

local::param_qcd * | state

## Detailed Description

Quantization parameters object.

Definition at line 162 of file ojph_params.h.

## Constructor & Destructor Documentation

## param_qcd()

ojph::param_qcd::param_qcd | ( | local::param_qcd * | p | ) |

inline

Definition at line 165 of file ojph_params.h.

References state.

## Member Function Documentation

## set_irrev_quant() [1/2]

void ojph::param_qcd::set_irrev_quant | ( | float | delta | ) |

Set the irreversible quantization base delta.

This represents the default base delta and influences QCD marker segment

Parameters

  delta |

Definition at line 414 of file ojph_params.cpp.

References state.

Referenced by LLVMFuzzerTestOneInput(), and main().

## set_irrev_quant() [2/2]

void ojph::param_qcd::set_irrev_quant | ( | ui32 | comp_idx,
|  | float | delta )

Set the irreversible quantization base delta for a specific component.

This represents the default base delta for component comp_idx, and influences QCC marker segment for the component, inserting one if needed, which is usually the case.

Parameters

  comp_idx |
  delta |

Definition at line 420 of file ojph_params.cpp.

References state.

## Member Data Documentation

## state

local::param_qcd* ojph::param_qcd::state

private

Definition at line 191 of file ojph_params.h.

Referenced by param_qcd(), set_irrev_quant(), and set_irrev_quant().

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_params.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/core/codestream/ojph_params.cpp